--- title: Incoming Draft References --- ## Get Incoming Draft References for a Document **Required scope:** `public-api:drafts:read` This endpoint is functionally equivalent to the [Incoming Document References](/reference/public-api/publications/references/llms.txt#get-incoming-publication-references-for-a-document) endpoint for publications. But with this draft endpoint you will receive references from unpublished documents as well as references from the current state of documents even if these latest updates to the document are not published yet. **History** | Version | Change | | ------- | ------ | | release-2026-01 | Responds with an object containing a `results` array, the `total` number of results, and a `cursor` for pagination. | **Curl Example** ```bash ACCESS_TOKEN=ey1234 curl -k -X GET "https://server.livingdocs.io/api/2026-05/drafts/{documentId}/incomingDocumentReferences" \ -H "Authorization: Bearer $ACCESS_TOKEN" ``` **Endpoint** ```http GET /api/2026-05/drafts/{documentId}/incomingDocumentReferences ``` **Parameters** | Name | Type | Required | Notes | | ---- | ---- | :------: | ----- | | documentId | integer | x | | | ?limit | integer | | A limit for how much documents to retrieve. Defaults to 100. Max. 100. | | ?offset | integer | | An offset into the query. Useful when getting more than 100 results (pagination). | | ?after | string | | The `cursor` provided in the response can be passed back for pagination instead of using `offset`. | **Response** _200 OK_ ```json { "total": 5, "cursor": "eyJhIjpbIjE3NjUyNjIxODYuMjgyIiw2NCw2NF19", "results": [ { "id": 4, "references": [ { "id": "1", "type": "document", "location": "include-directive", "componentId": "doc-1euiflvoq0", "serviceName": "editable-teaser", "propertyName": "article", "componentName": "teaser-include", "directiveName": "teaser" } ] }, { "id": 2, "references": [ { "id": "1", "type": "document", "location": "include-directive", "componentId": "doc-1eu6i7l880", "serviceName": "editable-teaser", "propertyName": "article", "componentName": "teaser-include", "directiveName": "teaser" } ] } ] } ``` ## Get Incoming Draft References for a Document > [!NOTE] > This endpoint has changes in version 2026-01. > **Required scope:** `public-api:drafts:read` This endpoint is functionally equivalent to the [Incoming Document References](/reference/public-api/publications/references/llms.txt#get-incoming-publication-references-for-a-document) endpoint for publications. But with this draft endpoint you will receive references from unpublished documents as well as references from the current state of documents even if these latest updates to the document are not published yet. **Curl Example** ```bash ACCESS_TOKEN=ey1234 curl -k -X GET "https://server.livingdocs.io/api/2025-11/drafts/{documentId}/incomingDocumentReferences" \ -H "Authorization: Bearer $ACCESS_TOKEN" ``` **Endpoint** ```http GET /api/2025-11/drafts/{documentId}/incomingDocumentReferences ``` **Parameters** | Name | Type | Required | Notes | | ---- | ---- | :------: | ----- | | documentId | integer | x | | | ?limit | integer | | A limit for how much documents to retrieve. Defaults to 100. Max. 100. | | ?offset | integer | | An offset into the query. Useful when getting more than 100 results (pagination). | **Response** _200 OK_ ```json [ { "id": 4, "references": [ { "id": "1", "type": "document", "location": "include-directive", "componentId": "doc-1euiflvoq0", "serviceName": "editable-teaser", "propertyName": "article", "componentName": "teaser-include", "directiveName": "teaser" } ] }, { "id": 2, "references": [ { "id": "1", "type": "document", "location": "include-directive", "componentId": "doc-1eu6i7l880", "serviceName": "editable-teaser", "propertyName": "article", "componentName": "teaser-include", "directiveName": "teaser" } ] } ] ```